<template>
  <type-based-transition :transition-type="'fadeUpDown'">
    <div v-if="isComplete">
      <div id="complete" class="form__complete">
        <div class="form__header">
          <h1>¡Gracias por responder!</h1>
        </div>

        <v-btn
          type="submit"
          depressed
          rounded
          color="tway-apple-green"
          class="tway-btn white--text"
        >
          Finalizar
        </v-btn>
      </div>
      <v-btn
        type="button"
        depressed
        rounded
        color="tway-apple-green"
        class="tway-btn nav__btn--prev--result white--text"
        @click="$emit('back')"
      >
        Anterior
      </v-btn>
    </div>
  </type-based-transition>
</template>
<script>
import TypeBasedTransition from "../transitions/TypeBasedTransition.vue";

export default {
  name: "FormResult",
  inject: ["formState"],
  components: {
    TypeBasedTransition,
  },
  computed: {
    isComplete() {
      return this.formState.isComplete;
    },
  },
};
</script>
<style lang="scss">
#complete + .nav__btn--prev--result {
  color: white;
  float: right;
  margin-top: 10px;
}
</style>
